### Method

# Soup Server is_https

#### Declaration [src]

    gboolean
    soup_server_is_https (
      SoupServer* server
    )

#### Description [src]

Checks whether `server` is capable of https.

In order for a server to run https, you must call `soup_server_set_tls_certificate()`, or set the `SoupServer:tls-certificate` property, to provide it with a certificate to use.

If you are using the deprecated single-listener APIs, then a return value of `TRUE` indicates that the `SoupServer` serves https exclusively. If you are using `soup_server_listen()`, etc, then a `TRUE` return value merely indicates that the server is able to do https, regardless of whether it actually currently is or not. Use `soup_server_get_uris()` to see if it currently has any https listeners.

#### Return value

Returns: | `gboolean`
| `TRUE` if `server` is configured to serve https.